# Claws Mail
## Overview
Claws Mail is a network application based on GTK, and it has high speed and configurability. The main interface as shown in Fig 1.
 
![Fig 1 Claws Mail-big](image/1.png)
<br>

## Basic Function

### Steps Introduction
1) After opening application, click "Forward".

![Fig 2 Welcome](image/2.png)

2) Input personal informations.
 
![Fig 3 Personal informations](image/3.png)

3) Receiving/Sending mail server and personal account settings. Users can get the server information from web mail.

\* The username and password settings in Fig 4 are both e-mail's address and password.

\* If the mailbox uses POP protocol, fill in pop address directly in "Server address".
 
![Fig 4 Receiving/Sending server and personal account setting-big](image/4.png)

4) After setting, click "Save" to enter the mailbox.

![Fig 5 Finished](image/5.png)

### Icon and function

| Icon | Function | Icon | Function |
| :------------ | :------------ | :------------ | :------------ |
|![](image/icon1.png)| Receive mail from all accounts |![](image/icon2.png)| Compose email 
|![](image/icon3.png)| Quote and reply |![](image/icon4.png)| Reply to all
|![](image/icon5.png)| Reply to sender | ![](image/icon6.png)| Forward message | 
|![](image/icon7.png)| Move message to trash |![](image/icon8.png)| Go to next unread message|

<br>

## Advanced Function
### Search 
* Search key words in current message

Clicking Edit > Find in current message and inputting the key words at the popup's text box, as shown in Fig 6, it will highlight the key words in the currently opened message.
 
![Fig 6 Find in current message](image/6.png)

* Search folder

Click "Edit" > "Search folder", and the popup provides various of search options, such as From, To, Subject, Body.

![Fig 7 Search folder](image/7.png)

If "Extended Search" is checked, users can add search rules by customization. 

![Fig 8 Extended search](image/8.png) 

* Quick search

Click "Edit" > "Quick search", and the interface as shown in Fig 9.
 
![Fig 9 Quick search](image/9.png)

### View Options
The View on the menu bar provides multiple setting options to users, which can make claws-mail is more in line with preferences. As shown in Fig 10.

![Fig 10 View menu](image/10.png)

### Account Settings
* "Configuration" > "Preferences for current account" : Modify current account preferences.
 
![Fig 11 Preferences for current account](image/11.png)

* "Configuration" > "Create new account" : Add a new account to claws-mail

![Fig 12 Create new account](image/12.png)

* Configuration > Edit accounts : Set default account, new/edit/delete/copy a selected account and adjust the accounts order.

![Fig 13 Edit accounts](image/13.png)

* "Configuration" > "Preferences" : Provide all options here to be set, including mail handing, compose, message view, display, etc..

![Fig 14 Preference](image/14.png)
<br>

## Appendix
### Shortcut Key

| Shortcut | Function |
| :------- | :------- |
| Shift + D | Empty all trash folders |
| Ctrl + S | Save email as… |
| Y | Save part as… |
| Ctrl + P | Print |
| Ctrl + W | Offline mode|
| Ctrl + Q | Quit |
| Ctrl + F | Find in current message |
| Shift + Ctrl + F | Search folder |
| / | Quick search |
| F11 | Fullscreen |
| Ctrl + M | Compose an email message |
| Ctrl + R | Reply |
| Ctrl + Alt + F | Forward |
| Ctrl + D | Move to trash |

