# Kylin Security Center

## Is described

Kylin Security Center is a system security management program developed by kylin security team, which includes six modules: virus protection, account security, network protection, application execution control, baseline scan and security inspection. The main interface is shown in Figure 1.

![Figure 1 Security center - BIG](image/1.png)

## Switch to safe mode

The security center integrates the safe mode switching function. Click the mode button in the upper right corner to bring up the safe mode switching interface, as shown in Figure 2.

![Figure 2 Switching system security mode](image/2.png)

Three security modes are provided for switching:

- Default mode: Only the Kylin security mechanism kysec is enabled.

- Custom mode: Users can customize kirin Security, SELinux, and Apparmor.

- Disable: Disables all security mechanisms.

After selecting the corresponding safe mode, click OK to complete the waiting state switch. After the system security status switch is complete, it will prompt you to restart the system for the switch to take effect, as shown in Figure 3.

![Figure 3: Big](image/3.png)

## Virus protection

Displays the current virus protection status of the system and provides simple antivirus operations.

Click the "Virus Protection" button on the home page or the "Virus Protection" TAB in the left list to enter, as shown in Figure 4.

![Figure 4 virus Protection - BIG](image/4.png)

Virus protection shows the antivirus programs currently installed on the system. Displays the antivirus to-do list, virus prevention status, and software update status of the system under the detection of each antivirus program.

At the same time, the following four functions are provided for each antivirus program: opening the application, updating the virus library, scanning immediately, and updating authorization:

- Virus library update: This feature is enabled when a new virus library is detected. You can upgrade the virus database to protect the current system more comprehensively.

- Scan Now: Provides quick virus scan.

- Update authorization: Users can update the authorization status of antivirus software when the authorization is about to expire or has expired.

## Account security

Provides the functions of configuring account password security check policies, account locking, and login information display.

Click the "Account Security" button on the home page or the "Account Security" TAB in the left list to enter, as shown in FIG. 5.

![Figure 5 account security - BIG](image/5.png)

## password strength configuration

The password strength can be advanced, Intermediate, low-level, or customized.

- Advanced: The password must contain at least eight characters, including three types of uppercase characters, lowercase characters, digits, and symbols.

- Intermediate: Contains at least six characters and contains at least two types of the following: uppercase characters, lowercase characters, digits, and symbols.

- Low level: the user password is not restricted.

- Customize: Customize the password strength policy as required, as shown in Figure 6. If the configured policy is the same as the advanced, intermediate, or low-level policy, the system automatically switches to the corresponding mode when you enable account security again.

![Figure 6 Custom password strength](image/6.png)

On the password strength setting screen, a prompt function is added for difficult configuration items. When you hover over the prompt icon, the detailed description of the configuration item is displayed. In the password character control category, if there is a conflict between user configurations, the system also displays a corresponding prompt.

### Account lock and login information display

Click "Account lock, Login information display configuration" to enter the interface as shown in Figure 7.

![Figure 7 Configuration of locking account and displaying login information -big](image/7.png)

You can set whether to enable the account lock function, the password error threshold, and the lockout duration.

Login information display Settings are valid only for the console. You can display the information about the last login and historical login failures.

## Network protection

Provides firewall and application networking management and control functions.

Click the "Network Protection" button on the home page or the "Network Protection" TAB in the left list to enter, as shown in Figure 8.

![Figure 8 network protection - BIG](image/8.png)

### the firewall

The system can be protected from external applications using three policies: public network, office network, and custom configuration. The custom configuration interface is shown in Figure 9.

![Figure 9 Custom configuration - BIG](image/9.png)

- Firewall services configured in the system are displayed in the Services list.

- The list on the right shows the protocols and ports that are configured and controlled under the current service.

If this parameter is selected, the service configuration is enabled.

You can modify the service list, port, and protocol by adding, deleting, and editing buttons.

### Application networking

There are three states of application networking:

- Disable: Disables networking of all applications.

- Warning: If the application has been added to the managed list, the application will be managed and controlled based on the configured network access policy. If the application is not added to the managed list, an authentication dialog box is displayed for the user to select whether the application can be connected to the Internet.

- Off: All applications can be networked.

![Figure 10 Application networking control](image/10.png)

After you select an application in the list, you can select a networking policy for the application from the drop-down list. Click the "Add Other Applications" button to add other applications to the managed list.

![Figure 11 Adding an application](image/11.png)

## Apply execution control

You can set the operation mode and whitelist quickly.

Click the "Application Execution Control" button on the home page or the "Application Execution Control" TAB in the left list to enter, as shown in Figure 12.

![Figure 12 Application Execution control - BIG](image/12.png)

### Check integrity

There are three states of application integrity checking:

- Disable: Applications that are not authenticated or whose integrity is compromised cannot be executed.

- Warning: It is up to the user to choose whether to execute unauthenticated or compromised applications.

- Close: No check is performed and all applications can be executed.

![Figure 13 checking integrity -big](image/13.png)

The security center enables kySEC in kySEC Disabled state.

When The Kirin security mechanism KySec is in the off state, users can switch the status from "off" to "Block" or "warning" by checking the control option for application integrity. After the wait state switch is completed, the message as shown in Figure 14 will be displayed. After the user manually restarts the system, the Kylin security mechanism kysec will be enabled.

![Figure 14 Switching success prompt -big](image/14.png)

## Baseline scan

Baseline scanning requires the following software packages to be installed:

- kybaseline: Version ≥ 1.1-1kylin1

- KSC-Defender: Version ≥ 1.0-21kylin

Baseline scan Scan is performed using the security center software. Open the security center and click Baseline Scan to enter the baseline scan page. Click "Start Scan" to start the baseline scan.

![Figure 15 Baseline scan - BIG](image/15.png)

During the scan, click "Cancel scan", the cancel scan confirmation window will pop up; After the scan is complete, the scan result is displayed.

![Figure 16 Scan results-Big](image/16.png)

Click View Details to display the detailed scan information.

Click "Scan completed", it will return to the baseline scan page; Click "Click view" on this page to display the details of the last scan, including the security baseline project and the scan result. The last scan time is displayed in the lower right corner, as shown in Figure 17.

![Figure 17 Details of last scan -big](image/17.png)

## Safety inspection

Periodically check password strength and service status

![Figure 18 Security inspection -big](image/18.png)

Service management: Provides network service management functions. Click Service Management Configuration to enable or disable a specified service.

![Figure 19 Service management configuration -big](image/19.png)

![Figure 20 Start service -big](image/20.png)

![Figure 21 Closing the service -big](image/21.png)

Periodic inspection: Set periodic inspection to check system security risks. Click the switch to enable or disable periodic inspection. Select an inspection period from the drop-down list box. Each time it is enabled, an inspection is performed and a pop-up window is displayed.

![Figure 22 Enabling inspection -big](image/22.png)

![Figure 23 Inspection prompt -big](image/23.png)

![Figure 24 Inspection details: Services that can be shut down -big](image/24.png)

![Figure 25 Inspection details: No service that can be shut down -big](image/25.png)

![Figure 26 Closing inspection -big](image/26.png)
