# 安全中心
## 概 述
麒麟安全中心是由麒麟安全团队开发的一款系统安全管理程序，包含病毒防护、账户安全、网络保护、应用执行控制、基线扫描、安全巡检六个模块。主界面如图1所示。

![图 1 安全中心-big](image/1.png)
<br>

## 安全模式切换
安全中心集成了安全模式切换功能，点击右上角的模式按钮，即可调出安全模式切换界面，如图2所示。

![图 2 切换系统安全模式](image/2.png)

提供了三种安全模式的切换：

- 默认模式：仅开启麒麟安全机制kysec。

- 自定义模式：用户可以自定义选择开启麒麟安全、SELinux、Apparmor。

- 关闭：关闭所有安全机制。

选择相应的安全模式后，点击确定，等待状态切换完成；系统安全状态切换完成后，会提示重启后生效，如图3所示。

![图 3 切换成功提示-big](image/3.png)
<br>

## 病毒防护
直观显示系统当前病毒防护状态，并提供简单的防病毒操作。

点击首页的“病毒防护”按钮，或左侧列表中“病毒防护”标签页进入，如图4所示。

![图 4 病毒防护-big](image/4.png)

病毒防护集中展示了当前系统安装的防病毒程序；滚动展示各防病毒程序检测下，系统的防病毒待办事项、病毒防护状态及软件更新状态。

同时为每个防病毒程序单独提供打开应用、病毒库更新、立即扫描、更新授权四项功能:

- 病毒库更新：检测到有新的病毒库时，该功能开放。用户可以升级病毒库，更全面的保护当前系统的安全。

- 立即扫描：提供病毒快速扫描功能。

- 更新授权：当防病毒软件授权即将到期或已到期，用户可以通过该功能更新软件的授权状态。

<br>

## 账户安全
提供系统账户密码安全检查策略配置，账户锁定及登录信息显示配置功能。

点击首页的“账户安全”按钮，或左侧列表中“账户安全”标签页进入，如图5所示。

![图 5 账户安全-big](image/5.png)

### 密码强度配置
密码强度分为高级、中级、低级、自定义四种配置模式：

- 高级：密码长度至少8位，至少包含大写字符、小写字符、数字、符号中的三种。

- 中级：密码长度至少6位，至少包含大写字符、小写字符、数字、符号中的两种。

- 低级：不对用户密码进行限制。

- 自定义：根据需求自定义相应的密码强度策略，如图6所示。若设置的策略与高级、中级或低级相同时，再次打开账户安全时，将自动切换到对应模式。

![图 6 自定义密码强度](image/6.png)

密码强度设置界面中，对于比较难以理解的配置项增加了提示功能。当鼠标悬停在提示图标上时，会显示该配置项的详细说明；同时在密码字符控制类别中，若用户配置内容出现冲突时，也会给出相应提示。

### 账户锁定与登录信息显示
点击“账户锁定、登录信息显示配置”，进入的界面如图7所示。

![图 7 账户锁定、登录信息显示配置-big](image/7.png)

用户设置是否启用账户锁定功能，以及密码错误阈值与锁定时长。

登录信息显示设置仅对控制台有效，可以设置显示上次登录信息和历史登录失败信息。

<br>

## 网络保护
提供防火墙及应用联网管控功能。

点击首页“网络保护”按钮，或左侧列表中“网络保护”标签页进入，如图8所示。

![图 8 网络保护-big](image/8.png)

### 防火墙
防护外界应用连接系统，提供公共网络、办公网络和自定义配置三种策略。自定义配置界面如图9所示。

![图 9 自定义配置-big](image/9.png)

- “服务”列表显示当前系统配置的防火墙服务；

- 右侧列表显示当前服务下配置管控的协议和端口。

勾选后，表示该服务配置启用。

用户可通过添加、删除、编辑功能按钮对服务列表、端口、协议进行修改。

### 应用程序联网
应用程序联网有三种状态：

- 禁止：禁止一切应用程序的联网。

- 警告：若应用程序已添加至管控列表，将根据应用所配置的网络访问策略进行管控；若应用程序未添加至管控列表，将显示认证对话框，由用户选择程序是否可以联网。

- 关闭：所有应用程序均可联网。

![图 10 应用程序联网控制](image/10.png)

用户选中列表中的应用后，可通过下拉框选择应用的联网策略。点击“添加其他应用程序”按钮，可以添加其他应用程序至管控列表。

![图 11 添加应用](image/11.png)
<br>

## 应用执行控制
提供执行控制运行模式设置，系统白名单快捷操作。

点击首页“应用执行控制”按钮，或左侧列表中“应用执行控制”标签页进入，如图12所示。

![图 12 应用执行控制-big](image/12.png)

### 检查完整性
应用程序完整性检查有三种状态：

- 禁止：未认证或完整性被破坏的应用程序将不能被执行。

- 警告：由用户来选择是否执行未认证或完整性被破坏的应用程序。

- 关闭：不进行检查，所有应用程序均可执行。

![图 13 检查完整性-big](image/13.png)

安全中心提供kysec disabled状态下的kysec开启功能。

当麒麟安全机制kysec在关闭状态下时，用户可以通过检查应用程序完整性的控制选项，将状态从“关闭”切换到“阻止”或“警告”。等待状态切换完成后，提示如图14所示，用户手动重启系统后，麒麟安全机制kysec将被打开。

![图 14 切换成功提示-big](image/14.png)
<br>

## 基线扫描
基线扫描需要安装以下软件包：

- kybaseline：版本 ≥ 1.1-1kylin1

- ksc-defender（安全中心）： 版本 ≥ 1.1.0-21kylin

基线扫描基于安全中心软件进行扫描，打开安全中心，点击“基线扫描”，即可进入基线扫描页面。点击“开始扫描”，即可开始基线扫描。

![图 15 基线扫描-big](image/15.png)

在扫描期间，点击“取消扫描”，会弹出取消扫描确认窗口；在扫描结束后，会显示本次扫描结果。

![图 16 扫描结果-big](image/16.png)

点击“查看详情”，会显示本次扫描详细信息。

点击“扫描完成”，会回到基线扫描页面；在该页面上点击“点击查看”，会显示上次扫描详情信息，包括安全基线项目和扫描结果，右下角展示上次扫描时间，如图17所示。

![图 17 上次扫描详细信息-big](image/17.png)

## 安全巡检
定期检查密码强度和服务状态

![图 18 安全巡检-big](image/18.png)

服务管理，提供网络服务管理功能，点击服务管理配置，可以开启或关闭指定服务。（会弹出提示，选是则执行对应操作。）

![图 19 服务管理配置-big](image/19.png)

![图 20 开启服务-big](image/20.png)

![图 21 关闭服务-big](image/21.png)

定期巡检，设置定期巡检，定期检查系统安全风险，点击开关可以开启或关闭定期巡检，下拉框选择巡检周期；每次开启会先进行一次巡检并弹窗。

![图 22 开启巡检-big](image/22.png)

![图 23 巡检提示-big](image/23.png)

![图 24 巡检详情：有可以关闭的服务-big](image/24.png)

![图 25 巡检详情：没有可以关闭的服务-big](image/25.png)

![图 26 关闭巡检-big](image/26.png)
