# Tools
## Camera
Camera is a photo software with friendly interface and easy to use, which is based on QT.

- Take a photo: Click the button to get the current photo of the camera, and it will be saved to local.

- Video recording: Users can switch to video mode, and click the video button to record.

Delayed photographing: Click the delayed photographing button to select the delay time or close it directly, and the corresponding delay function can be performed for photographing.

Mirror image: Click the mirror button, the image is displayed in mirror, and then click to cancel the function.

![Fig 1 Camera-big](image/1.png)
<br>
<br>

## Calculator
The calculator is a lightweight calculator based on QT5 development, providing standard computing, scientific computing and exchange rate conversion, as shown in Figure 2.

![Fig 2 Calculator](image/2.png)

### Basic Function
The user can select the mode you want to use by clicking the icon in the upper left corner.

- **Scientific model**

![Fig 3 Scientific](image/3.png)

- **Exchange rate mode**

![Fig 4 Exchange](image/4.png)

<br>
<br>

## Screenshot
It can grab the whole desktop, the current window, and a selected area. The main interface as shown in Fig 6.

![Fig 6 Screenshot](image/6.png)

### Shortcut Key

| Shortcut | Function |
| :------------ | :------------ |
| PrtSc | Grab the whole desktop |
| Ctrl + PrtSc | Grab the current window |
| Shift + PrtSc	| Select area to grab |

<br>
<br>

## Onboard
Show a soft keyboard on the screen, and users can input by it. The main interface as shown in Fig 7.

![Fig 7 Onboard-big](image/7.png)

### Basic Function
Icons and Function:

| Icon | Function | Icon | Function |
| :------------ | :------------ | :------------ |:------------ |
|![](image/icon2.png)| Open/Close caps|![](image/icon3.png)|Open caps once
|![](image/icon4.png)| Open Alt |![](image/icon5.png)|Backspace
|![](image/icon6.png)| Hide onboard |![](image/icon7.png)|Toggle click helpers	
|![](image/icon8.png)| Move onboard |![](image/icon9.png)|Main keyboard
|![](image/icon10.png)| Number block and snippets |![](image/icon11.png)|Sinppets

<br>

#### Click Helpers
Click "![](image/icon7.png)" to toggle click helpers, as shown in Fig 8.

![Fig 8 Toggle click helpers](image/8.png)

|Icon| Function | Icon | Function |
| :------------ | :------------ | :------------ |:------------ |
|![](image/icon12.png)|	Middle click |![](image/icon13.png)| Right click
|![](image/icon14.png)| Double click |![](image/icon15.png)| Drag click
|![](image/icon16.png)| Activate hover click|||

<br>

#### Preferences
Click ![](image/icon17.png) to set the layout, window, theme, etc. of Onboard.

![Fig 9 Preferences-big](image/9.png)

<br>
<br>

## Mate Search Tool
It provides various rules to search files in the corresponding directories.

![Fig 10 Mate Search Tool](image/10.png)

### Basic Function
Inputting the keywords in "Name contains" and select the folder, click "Find" to get the result.

![Fig 11 Search result](image/11.png)

### Advanced Function
Click "Select more options" to open the menu. Users can "Remove"/"Add" various options.

![Fig 12 Various options](image/12.png)

The available options as shown in Fig 13.

![Fig 13 Available options](image/13.png)
<br>
<br>

## Sharing Desktop
Users can make settings related to desktop sharing through this app.

![Fig 14 Sharing Desktop](image/14.png)

### Basic Function
#### Sharing
Check "Allow other users to view your desktop" to open desktop sharing; Users can also choose whether to allow others to control their desktop.

![Fig 15 Allow to view/control](image/15.png)

#### Security
Users can customize if it's necessary to confirm each access, set access password, and automatially configure UPnP router to open and forward ports.


#### Show Notification Area Icon
Users can set the status of the icon displayed in the notification area: Always, Only when someone is connected, and Never.

<br>
<br>

## Blueman Manager
Connect to bluetooth devices, and transfer/receive files.

![Fig 16 Blueman Manager](image/16.png)

### Basic Function
Icon and Function:

| Icon | Function | Icon | Function |
| :------------ | :------------ | :------------ | :------------ |
|![](image/icon18.png)| Search for nearby devices |![](image/icon22.png)| Add this device to list
|![](image/icon19.png)| Pair with device |![](image/icon23.png)| Mark/Unmark as trusted |
|![](image/icon20.png)| Run the assistant |![](image/icon24.png)|Remove this device from list 
|![](image/icon21.png)| Send a file |||

<br>

#### Pair  
1) Click “![](image/icon18.png)” to search devices.

2) Click"![](image/icon19.png)" or right click the selected device, and choose "Pair".

![Fig 17 Pairing confirm](image/17.png)

3) Showing pair icon means pair successfully.

![Fig 18 Pair successfully](image/18.png)

### Advanced Function
- Preferences

Click "Adapter" > "Preferences" to set the name and the visibility.

![Fig 19 Preferences](image/19.png)

- View
Click "View" to choose the parts shown on the interface, and the settings of plugins and local services.

![Fig 20 View options](image/20.png)
<br>
<br>

## Atril Document Viewer
To view and read pdf files. As shown in Fig 21.

![Fig 21 Atril-big](image/21.png)

### Basic Function
- Click "![](image/icon25.png)" and "![](image/icon26.png)" to page-up and page-down.

- It provides page layout size options, as shown in Fig 22.

![Fig 22 Layout size](image/22.png)

- The "View" on the menu bar can set the layout of the whole interface, and through the "File" can see the pdf's property.
