# 小工具
## 摄像头
摄像头是一款基于qt开发界面友好使用方便的照相软件。

- 照相：点击按钮获取摄像头当前照片，保存到本地

- 录像：可切换到录像，点击录像按钮进行录像。

延迟拍照：点击延迟拍照按钮可选择延迟时间或直接关闭，拍照可进行相应的延迟功能。

镜像：点击镜像按钮，图像镜像显示，再点击取消该功能。

![图 1 摄像头-big](image/1.png)

<br>
<br>

## 计算器概述
计算器是一款基于qt5开发的轻量级计算器，提供标准计算，科学计算和汇率换算，如图3所示

![图 3 计算器](image/3.png)

### 基本功能 
用户可以通过点击左上角的图标来选择希望使用的模式。

- **科学模式**

![图 4 科学模式](image/4.png)

- **汇率模式**

![图 5 汇率模式](image/5.png)

<br>
<br>

## 抓图概述
抓图可以抓取整个桌面、当前窗口或截取区域，主界面如图7所示。

![图 7 抓图](image/7.png)

### 快捷键

|快捷键| 功能
| :------------ | :------------ |
|PrtSc | 桌面截图
|Ctrl + PrtSc|	窗口截图
|Shift + PrtSc	| 区域截图

<br>
<br>

## 屏幕键盘概述
屏幕键盘是一款系统应用软件，用户可以通过屏幕上显示的软键盘，实现键盘输入功能。屏幕键盘主界面如图8所示。

![图 8 屏幕键盘-big](image/8.png)

### 基本功能
图标及其功能：

| 图标 | 功能说明 | 图标 | 功能说明 |
| :------------ | :------------ | :------------ |:------------ |
|![](image/icon2.png)|	大写开启与关闭|![](image/icon3.png)|键盘大写及常用符号开启（单击）与固定（双击）
|![](image/icon4.png)| 固定Alt键|![](image/icon5.png)| 删除	
|![](image/icon6.png)| 隐藏屏幕键盘|![](image/icon7.png)| 切换单击帮助程序
|![](image/icon8.png)| 移动屏幕键盘|![](image/icon9.png)| 主键盘	
|![](image/icon10.png)| 数字键盘和片段|![](image/icon11.png)| 设置片段以便快捷输入（类搜狗输入法快捷用语）

<br>

#### 切换单击帮助程序
用户通过点击“![](image/icon7.png)”图标，切换单击帮助程序，如图9所示。

![图 9 切换单击帮助程序](image/9.png)

图标及其功能：

| 图标 | 功能说明 | 图标 | 功能说明 |
| :------------ | :------------ | :------------ |:------------ |
|![](image/icon12.png)| 中键单击 |![](image/icon13.png)| 右击 |
|![](image/icon14.png)| 双击 |![](image/icon15.png)| 拖拽点击 |
|![](image/icon16.png)| 激活悬停单击 |||

<br>

#### 首选项
用户通过点击“![](image/icon17.png)”图标，可对屏幕键盘的常规、窗口、布局、主题等进行设置，如图10所示。

![图 10 首选项](image/10.png)
<br>
<br>

## 搜索文件概述
搜索文件提供了以多种规则在对应目录中查找相关文件的功能。

![图 11 搜索文件](image/11.png)

### 基本功能
在“名称包含”框中输入内容，并指定要搜索的文件夹，点击“查找”，即会出现内容。

![图 12 查找结果](image/12.png)

### 高级功能
点击“选择更多选项”，打开折叠菜单，可根据用户需要，添加多个限制条件。选择选项后，点击右侧的“添加”/“删除”按钮，即可添加或删除该选项，如图13所示：

![图 13 多个选项](image/13.png)

搜索文件提供的高级选项如图14所示：

![图 14 提供的选项](image/14.png)
<br>
<br>

## 桌面共享概述
桌面共享是一款网络应用软件，可以对桌面共享进行相关设置。主界面如图15所示。

![图 15 桌面共享](image/15.png)

### 基本功能
#### 共 享
勾选“允许其他人查看您的桌面”即可。

![图 16 允许桌面共享](image/16.png)

#### 安 全
在安全设置区域，默认勾选“您必须为本机器确认每次访问”，同时可以根据用户需求，设置密码、自动配置UPnP路由器开放和转发端口。

#### 显示通知区域图标
用户在桌面共享时，可以设定显示通知区域图标的显示状态：总是、只在有用户连接时（默认）、永不。

<br>
<br>

## 蓝牙管理器概述
蓝牙管理器是一款系统应用软件，可以连接/创建蓝牙网络，连接输入设备、音频设备，发送/接收/浏览文件等。主界面如图17所示。

![图 17 蓝牙管理器](image/17.png)

### 基本功能
图标及其功能：

| 图标 | 功能说明 | 图标 | 功能说明 |
| :------------ | :------------ | :------------ | :------------ |
|![](image/icon18.png)|	搜索附近的设备|![](image/icon22.png)|将这个设备添加至已知设备列表
|![](image/icon19.png)|	与设备进行配对|![](image/icon23.png)|将这个设备标记/取消标记为信任
|![](image/icon20.png)|	为此设备运行设置助理|![](image/icon24.png)|将这个设备从已知设备列表中删去
|![](image/icon21.png)|	向此设备发送文件|||

<br>

#### 配 对  
1）点击“![](image/icon18.png)”，搜索设备。

2）点击“![](image/icon19.png)”，或单击鼠标右键选中的设备，选择“配对”。

![图 18 配对设备](image/18.png)

3）当出现配对图标时，表明配对成功。

### 高级功能
- 可见性与名称

点击“适配器” > “设置”，对蓝牙管理器进行可见设置和名称设置。

![图 19 蓝牙适配器设置](image/19.png)

- 视图界面

点击“视图”，可设置蓝牙管理器主界面显示，查看、配置插件与本地服务。

<br>
<br>

## 文档查看器概述
文档查看器用于浏览阅读pdf文件，如图20所示。

![图 20 文档查看器-big](image/20.png)

### 基本功能
- 点击“![](image/icon25.png)”，“![](image/icon26.png)”可进行上下翻页。

- 软件提供了页面布局大小可选，如图21所示。

![图 21 页面大小选择](image/21.png)

- 菜单栏上的“查看”可设置界面显示；“文件”可查看当前打开的pdf属性。

![图 22 查看属性](image/22.png)
